package com.kingdee.eas.custom.attendanceexception;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class CenterLeaderRelationEntryCollection extends AbstractObjectCollection 
{
    public CenterLeaderRelationEntryCollection()
    {
        super(CenterLeaderRelationEntryInfo.class);
    }
    public boolean add(CenterLeaderRelationEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(CenterLeaderRelationEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(CenterLeaderRelationEntryInfo item)
    {
        return removeObject(item);
    }
    public CenterLeaderRelationEntryInfo get(int index)
    {
        return(CenterLeaderRelationEntryInfo)getObject(index);
    }
    public CenterLeaderRelationEntryInfo get(Object key)
    {
        return(CenterLeaderRelationEntryInfo)getObject(key);
    }
    public void set(int index, CenterLeaderRelationEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(CenterLeaderRelationEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(CenterLeaderRelationEntryInfo item)
    {
        return super.indexOf(item);
    }
}